Subject: 30.0.91; on NetBSD-10 configure script run halts

From: Van Ly <[email-masked]>
Date: Sat, 14 Sep 2024 19:01:21 +0000

Hello,

I was able to build emacs-29.4 but 30.0.91 stops at the configure
script.

The following packages are on the amd64/x86_64 NetBSD 10.0_STABLE
system

cairo-1.18.0nb2 =    Vector graphics library with cross-device output support
gnutls-3.8.5nb3 =    Transport Layer Security library

A snippet of the output from configure reads

  checking for cairo >= 1.8.0... no
  configure: WARNING: cairo requested but not found.

  configure: error: The following required libraries were not found:
       gnutls

This is how I call configure from the build directory in a file called configure-here

../30.0.91/configure --srcdir=/u/xxx/src/emacs/30.0.91 --localstatedir=/var --disable-autodepend --with-native-compilation --without-ns --without-rsvg --without-imagemagick --without-xaw3d --without-toolkit-scroll-bars --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x-toolkit=lu --prefix=/usr/local --build=x86_64--netbsd --host=x86_64--netbsd --infodir=/usr/pkg/info --mandir=/usr/pkg/man --enable-option-checking=yes 'CFLAGS=-O2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/freetype2 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include -I/usr/pkg/include/harfbuzz -I/usr/X11R7/include/libdrm' 'CPPFLAGS=-DTERMINFO -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/freetype2 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include -I/usr/pkg/include/harfbuzz -I/usr/X11R7/include/libdrm' 'LDFLAGS=-Wl,-R/usr/pkg/gcc13/lib -Wl,-zrelro -L/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/X11R7/lib -Wl,-R/usr/X11R7/lib'

Attached is the run trail left from the script

Thanks in advance.

-- 
vl